Description: Bonjour, nous utilisions AMC + Tomuss pour envoyer et recevoir les copies des étudiants au département de

math de I'UCBLyon 1, c'est vraiment trés efficace! Merci beaucoup pour ce tres bon logiciel que j'utilise
depuis plus de 10 ans.

Nous avons cependant noté un bug: nous ne pouvons pas avoir I'option pdfform ce qui rend la gestion du c6té
des étudiants difficile (il faut utiliser un logiciel permettant d'annoter, rajouter un gros carré noir ou un disque
noir...).

En effet, en mettant pdfform / csvsimple, AMC crée un Doc-catalogue trop long il recopie pour chaque copie
(plus de 100 fois donc) le Doc-catalogue de 12 pages, cela crée un fichier de plus de 1500 pages qui plante
avec un "LaTeX capacity exceeded". Avec xelatex ¢a passe et ¢a crée un fichier de 6Mo impossible a ouvrir.
C'est sans doute la création de ce fichier qui fait planter la génération de pdflatex.

History

04/10/2020 04:12 pm - Frédéric Breéal
En désactivant la formation du catalogue, est-ce que ¢a pourrait fonctionner ?

04/10/2020 04:36 pm - Alexis Bienveniie
- Status changed from New to Feedback

Vous pouvez également utiliser ce bout de code, qui va générer une seule copie pour le catalogue :
<pre>
\makeatletter
\ifAMC@catalog
\def\nom{NOM}
\def\prenom{Prénom}
\defid{00000000}
\sujet
\else
\csvreader[head to column namesl{liste.csv}{}{\sujet}
\fi
\makeatother
</pre>

(changer les définitions de @\nom@, @\prenom@, etc. en fonction des colonnes du fichier CSV utilisées)

02/07/2021 02:54 pm - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

05/17/2025 1/1



